{ lib, config, pkgs, inputs, ...  }:

with lib;
let
  cfg = config.modules.desktop.nwg-drawer;
in {
  options.modules.desktop.nwg-drawer = {
    enable = mkEnableOption "Enable nwg-drawer, a GTK based application launcher for wayland";
  };

  config = mkIf cfg.enable {
    modules.desktop.execOnStart = [ "${lib.getExe pkgs.nwg-drawer} -r -nofs -nocats -ovl -term wezterm -spacing 15 -fm nautilus" ];
  };
}
